Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.owl_rdf
Interface OWLRDFErrorConstants

All Known Implementing Classes:
  OWLConsumer, OWLRDFParser

public interface OWLRDFErrorConstants

Constants representing the various OWL Full things that can occur during parsing. This allows us to pass more information back to the error handler during the parse, giving the handler the opportunity to patch things up if desired. For example, a parser could choose to ignore errors concerning untyped classes and simply add the required triples.

Version:
  $Id: OWLRDFErrorConstants.java,v 1.2 2004/03/05 17:34:49 sean_bechhofer Exp $

Field Summary
`static int` | `ANONYMOUS_CLASS_CREATION`
`static int` | `CYCLICAL_BNODES`
`static int` | `ILLEGAL_SUBPROPERTY`
`static int` | `INVALID_URL`
`static int` | `INVERSE_FUNCTIONAL_DATA_PROPERTY`
`static int` | `IO_ERROR`
`static int` | `MALFORMED_ALLDIFFERENT`
`static int` | `MALFORMED_DESCRIPTION`
`static int` | `MALFORMED_IMPORT`
`static int` | `MALFORMED_LIST`
`static int` | `MALFORMED_RESTRICTION`
`static int` | `MULTIPLE_DEFINITIONS`
`static int` | `OTHER`
`static int` | `RDF_CLASS`
`static int` | `RDF_PROPERTY`
`static int` | `STRUCTURE_SHARING`
`static int` | `UNSPECIFIED_FUNCTIONAL_PROPERTY`
`static int` | `UNTYPED_CLASS`
`static int` | `UNTYPED_DATATYPE`
`static int` | `UNTYPED_INDIVIDUAL`
`static int` | `UNTYPED_ONTOLOGY`
`static int` | `UNTYPED_PROPERTY`
`static int` | `UNTYPED_PROPERTY_DATA`
`static int` | `UNTYPED_PROPERTY_OBJECT`
`static int` | `UNTYPED_URI`
`static int` | `UNUSED_TRIPLES`
`static int` | `URL_IO_ERROR`
`static int` | `XML_PROBLEM`

Field Detail

### OTHER

    public static final int OTHER

See Also:
  Constant Field Values

### UNTYPED_CLASS

    public static final int UNTYPED_CLASS

See Also:
  Constant Field Values

### UNTYPED_PROPERTY

    public static final int UNTYPED_PROPERTY

See Also:
  Constant Field Values

### UNTYPED_INDIVIDUAL

    public static final int UNTYPED_INDIVIDUAL

See Also:
  Constant Field Values

### UNTYPED_ONTOLOGY

    public static final int UNTYPED_ONTOLOGY

See Also:
  Constant Field Values

### UNTYPED_DATATYPE

    public static final int UNTYPED_DATATYPE

See Also:
  Constant Field Values

### UNTYPED_URI

    public static final int UNTYPED_URI

See Also:
  Constant Field Values

### MALFORMED_LIST

    public static final int MALFORMED_LIST

See Also:
  Constant Field Values

### INVERSE_FUNCTIONAL_DATA_PROPERTY

    public static final int INVERSE_FUNCTIONAL_DATA_PROPERTY

See Also:
  Constant Field Values

### UNSPECIFIED_FUNCTIONAL_PROPERTY

    public static final int UNSPECIFIED_FUNCTIONAL_PROPERTY

See Also:
  Constant Field Values

### STRUCTURE_SHARING

    public static final int STRUCTURE_SHARING

See Also:
  Constant Field Values

### CYCLICAL_BNODES

    public static final int CYCLICAL_BNODES

See Also:
  Constant Field Values

### MULTIPLE_DEFINITIONS

    public static final int MULTIPLE_DEFINITIONS

See Also:
  Constant Field Values

### MALFORMED_RESTRICTION

    public static final int MALFORMED_RESTRICTION

See Also:
  Constant Field Values

### MALFORMED_DESCRIPTION

    public static final int MALFORMED_DESCRIPTION

See Also:
  Constant Field Values

### UNUSED_TRIPLES

    public static final int UNUSED_TRIPLES

See Also:
  Constant Field Values

### ILLEGAL_SUBPROPERTY

    public static final int ILLEGAL_SUBPROPERTY

See Also:
  Constant Field Values

### MALFORMED_IMPORT

    public static final int MALFORMED_IMPORT

See Also:
  Constant Field Values

### RDF_PROPERTY

    public static final int RDF_PROPERTY

See Also:
  Constant Field Values

### RDF_CLASS

    public static final int RDF_CLASS

See Also:
  Constant Field Values

### MALFORMED_ALLDIFFERENT

    public static final int MALFORMED_ALLDIFFERENT

See Also:
  Constant Field Values

### ANONYMOUS_CLASS_CREATION

    public static final int ANONYMOUS_CLASS_CREATION

See Also:
  Constant Field Values

### UNTYPED_PROPERTY_DATA

    public static final int UNTYPED_PROPERTY_DATA

See Also:
  Constant Field Values

### UNTYPED_PROPERTY_OBJECT

    public static final int UNTYPED_PROPERTY_OBJECT

See Also:
  Constant Field Values

### XML_PROBLEM

    public static final int XML_PROBLEM

See Also:
  Constant Field Values

### IO_ERROR

    public static final int IO_ERROR

See Also:
  Constant Field Values

### INVALID_URL

    public static final int INVALID_URL

See Also:
  Constant Field Values

### URL_IO_ERROR

    public static final int URL_IO_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb